VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages

### - s -

- savePreset() : PresetFile , PresetManager
- sdkVersion() : ClassInfo
- seek() : ResizableMemoryIBStream , MemoryStream , FileStream , ReadOnlyBStream , BufferStream
- seekTo() : PresetFile
- seekToComponentState() : PresetFile
- seekToControllerState() : PresetFile
- selectUnit() : EditControllerEx1
- sendBackgroundBlocks() : HostDataExchangeHandler
- sendCurrentBlock() : DataExchangeHandler
- sendMainThreadBlocks() : HostDataExchangeHandler
- sendMessage() : ComponentBase
- sendMessageID() : ComponentBase
- sendTextMessage() : ComponentBase
- set() : TestingPluginContext , ParamPoint , ObjCVariable< T >
- setActive() : Bus , BypassProcessor< T > , Component , SingleComponentEffect
- setArrangement() : AudioBus , SpeakerArray
- setBinary() : HostAttributeList
- setBuildnumber() : Version
- setBusArrangements() : SingleComponentEffect , AudioEffect
- setBusType() : Bus
- setChannelBuffer() : HostProcessData
- setChannelBuffer64() : HostProcessData
- setChannelBuffers() : HostProcessData
- setChannelBuffers64() : HostProcessData
- setClassID() : PresetFile
- setComponentHandler() : EditController
- setComponentState() : EditController
- setControllerClass() : Component
- setDirty() : EditController
- setEditorState() : SingleComponentEffect
- setEnabled() : MidiIO
- setErrorStream() : PlugProvider
- setFlags() : Bus
- setFloat() : HostAttributeList
- setFrame() : VSTGUIEditor , CPluginView
- setHostContext() : PluginFactory
- setID() : Unit
- setIdleRate() : VSTGUIEditor
- setInt() : HostAttributeList
- setIoMode() : Component , SingleComponentEffect
- setKnobMode() : EditController
- setMajor() : Version
- setMax() : RangeNoteExpressionType , RangeParameter
- setMaxParameters() : ParameterChangeTransfer , ParameterChanges
- setMaxSize() : EventList
- setMessageID() : HostMessage
- setMidiNetworkEnabled() : MidiIO
- setMidiNetworkPolicy() : MidiIO
- setMin() : RangeNoteExpressionType , RangeParameter
- setMinor() : Version
- setName() : Bus , Unit
- setNormalized() : Parameter
- setParamID() : ParameterValueQueue , Parameter
- setParamNormalized() : EditController
- setPhysicalUITypeID() : NoteExpressionType
- setPitchName() : ProgramListWithPitchNames
- setPluginContext() : PluginContextFactory
- setPoint() : ParamChanges
- setPrecision() : NoteExpressionType , Parameter
- setProcessedFrames() : ParamChanges
- setProcessing() : AudioEffect , SingleComponentEffect
- setProgramInfo() : ProgramList
- setProgramListID() : Unit
- setProgramName() : ProgramList , EditControllerEx1
- setRect() : CPluginView
- setSize() : MemoryStream
- setState() : Component , EditController
- setString() : HostAttributeList
- setSub() : Version
- setText() : StringResult
- setUnitID() : Parameter
- setUnitProgramData() : EditControllerEx1
- setup() : TestBase , BypassProcessor< T > , TestEnh
- setupPlugin() : PlugProvider
- setupProcessing() : SingleComponentEffect , AudioEffect
- setValue() : Parameter
- SingleComponentEffect() : SingleComponentEffect
- size() : UID , RingBuffer< ItemT >
- SpeakerArray() : SpeakerArray
- startCell() : XmlRepresentationHelper
- startEndCell() : XmlRepresentationHelper
- startEndCellOneLayer() : XmlRepresentationHelper
- startEndCellOneLayerWithParamName() : XmlRepresentationHelper
- startEndLayer() : XmlRepresentationHelper
- startEndTitleDisplay() : XmlRepresentationHelper
- startGroupEdit() : EditController
- startLayer() : XmlRepresentationHelper
- startPage() : XmlRepresentationHelper
- stop() : ProcessDataSlicer
- storeComponentState() : PresetFile
- storeControllerState() : PresetFile
- storeProgramData() : PresetFile
- StringListParameter() : StringListParameter
- subCategories() : ClassInfo
- subCategoriesString() : ClassInfo
- swap() : Optional< T >
- SystemTime() : SystemTime

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.